Loading...
Searching...
No Matches
BALL::TRegularData3D< ValueType >::IndexType Class Reference

The index type used to refer to a specific element in the grid (x-, y-, and z-index). More...

`#include <BALL/DATATYPE/regularData3D.h>`

## Public Member Functions

| IndexType ()
| IndexType (Position p)
| IndexType (Position p, Position q, Position r)

## Public Attributes

Position | x
Position | y
Position | z

## Detailed Description

template<typename ValueType>
class BALL::TRegularData3D< ValueType >::IndexType

The index type used to refer to a specific element in the grid (x-, y-, and z-index).

Definition at line 56 of file regularData3D.h.

## Constructor & Destructor Documentation

## IndexType() [1/3]

template<typename ValueType>

BALL::TRegularData3D< ValueType >::IndexType::IndexType | ( |  | ) |

inline

Definition at line 59 of file regularData3D.h.

## IndexType() [2/3]

template<typename ValueType>

BALL::TRegularData3D< ValueType >::IndexType::IndexType | ( | Position | p | ) |

inline

Definition at line 60 of file regularData3D.h.

## IndexType() [3/3]

template<typename ValueType>

BALL::TRegularData3D< ValueType >::IndexType::IndexType | ( | Position | p,
|  | Position | q,
|  | Position | r )

inline

Definition at line 61 of file regularData3D.h.

## Member Data Documentation

## x

template<typename ValueType>

Position BALL::TRegularData3D< ValueType >::IndexType::x

Definition at line 64 of file regularData3D.h.

## y

template<typename ValueType>

Position BALL::TRegularData3D< ValueType >::IndexType::y

Definition at line 66 of file regularData3D.h.

## z

template<typename ValueType>

Position BALL::TRegularData3D< ValueType >::IndexType::z

Definition at line 68 of file regularData3D.h.